{% extends 'base.html' %}

{% block content %}
    <div>
        <h1>{{ project.name }}</h1>
        <p>{{ project.description }}</p>
        <h2>Tasks</h2>
        <p>
            <a href="{% url 'create_task' %}">Create a new task</a>
        </p>
        {% if project.tasks.all|length > 0 %}
            <table>
                <thead>
                    <tr>
                        <th>Name</th>
                        <th>Assignee</th>
                        <th>Start date</th>
                        <th>Due date</th>
                        <th>Is completed</th>
                    </tr>
                </thead>
                <tbody>
                    {% for tks in project.tasks.all %}
                        <tr>
                            <td>{{ tks.name }}</td>
                            <td>{{ tks.assignee }}</td>
                            <td>{{ tks.start_date }}</td>
                            <td>{{ tks.due_date }}</td>
                            <td>{{ tks.is_completed|yesno }}</td>
                        </tr>
                    {% endfor %}
                </tbody>
            </table>
        {% else %}
            <p>This project has no tasks</p>
        {% endif %}
    </div>
{% endblock content %}
